Skip to main content
POST
/
v1
/
auth
/
orgs
/
domains
/
challenges
/
dns
/
verify
Poll a DNS challenge — verifies the TXT record is in place.
curl --request POST \
  --url http://127.0.0.1:8787/v1/auth/orgs/domains/challenges/dns/verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "challenge_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "acknowledge_takeover": true
}
'
{
  "data": {
    "domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "apex_domain": "<string>",
    "takeover_from": {
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_name": "<string>"
    }
  },
  "error": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
challenge_id
string<uuid>
required
acknowledge_takeover
boolean

Response

Domain verified.

data
object
required
error
null
required